CUDA Driver Installation failed for Nvidia Quadro P1000

Hello, My PC has a NVIDIA Corporation GP107GL [Quadro P1000] (rev a1) GPU. I am unable to install the required drivers. Also want to install the CUDA Toolkit for the mentioned GPU.
While installing the CUDA Toolkit I am facing the below error.
Error:- cuda : Depends: cuda-11-7 (>= 11.7.0) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
I have tried the provided methods from NVIDIA for driver installations.
Please provide assistance on the above issue.

same here, have optirun running, but need cuda:
5.19.0-rc4-amd64 #1 SMP PREEMPT_DYNAMIC Debian 5.19~rc4-1~exp1
works with optirun
$ optirun glxinfo -B
name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
Memory info (GL_NVX_gpu_memory_info):
Dedicated video memory: 16384 MB
Total available memory: 16384 MB
Currently available dedicated video memory: 16109 MB
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: NVIDIA GeForce RTX 3080 Laptop GPU/PCIe/SSE2
OpenGL core profile version string: 4.6.0 NVIDIA 515.57
OpenGL core profile shading language version string: 4.60 NVIDIA
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL version string: 4.6.0 NVIDIA 515.57
OpenGL shading language version string: 4.60 NVIDIA
OpenGL context flags: (none)
OpenGL profile mask: (none)
$ sudo apt-get -y install cuda
The following packages have unmet dependencies:
xserver-xorg-video-nvidia : Depends: xorg-video-abi-24 but it is not installable …
some day soon I guess another version.

Same here, what’s going on Nvidia? Since this is not the “Driver” perse, but the toolkit and seems to happen on other GPUS, I created a more clear topic: Can't install Cuda 11.7 using official instructions! Ubuntu 20.04,